Personal tools
You are here: Home Forum Install & build Suse 10.2 Installation M2006, error omniOrb

Suse 10.2 Installation M2006, error omniOrb

Up to Install & build
  • Suse 10.2 Installation M2006, error omniOrb

    Posted by lucian at February 14. 2007
    Hi,

    I used the M2006 installation on OpenSuse 10.2. I used the native C++ Compiler, and python 2.5. For the rest I installed the binaries from the installation pack (including ominOrb 4.0.7)

    By starting I get the following error message:

    Can u help me?

    Regards,
    Lucian



    lucian@linux-7wbn:~/salome_3.2.2/KERNEL_3.2.2/bin/salome> ./runSalome
    Searching for a free port for naming service: 2810 - Ok
    Traceback (most recent call last):
      File "", line 1, in
    AttributeError: 'module' object has no attribute 'ORB_ID'
    Traceback (most recent call last):
      File "/home/lucian/salome_3.2.2/KERNEL_3.2.2/bin/salome/runSalome.py", line 23, in
        import orbmodule
      File "/home/lucian/salome_3.2.2/KERNEL_3.2.2/bin/salome/orbmodule.py", line 21, in
        from omniORB import CORBA
    ImportError: No module named omniORB
    • Re: Suse 10.2 Installation M2006, error omniOrb

      Posted by Nandita Dash at June 05. 2007
      Hi

       I have installed  Salome 3.2.2 in mandriva 2006 system . During installation there was no problem.But Now whem I try to open GEOMETY or Supervisory mode working is fine ,but whemn I go for MESH or MED or post-pro mede  I got error massage :libSMESH.so.0,libgfortran not found ,cannot open shared object file.

      themn while I go for testing that is my installation is fine by typing command: import salome_test in the python window displayed below of the salome application I got this Type of massage :

      ========= Test MESH=============== = = == = == ==
      traceback(most recent call last):
      File"",line 1 ,in ?
      File "/root/salome_3.2.2"/KERNEL_3.2.2/lib/python2.4/site-package/salome/iomport/import_hook.py"line139 ,in import_hook
      module = original_import(name,global,local,formlist)

      File "/root/Salome_3.2.2/SMESH_3.2.2/bin/salome/libSMESH"_swig.py",line 5 ,in ?
      import_libMESH_Swig

      ImportError: libgfortran.so.0:cannot open shared object file:No such file or directory
      >>>

      NOW I am confused that is it my system Error , or is a softeare package error since it is happaning with a lot of system as I seen in forum.

      As I Got from forum that this can be solved by installing FC4 to your /usr/lib.I am not sure about this package,Will anyone please suggest me where can I get This package is It a fortran lib package?

      pls answer  me
      Thanks a lot
      Nandita Dash






Powered by Ploneboard
Document Actions